package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class RiwayatPenyakitPengobatan
 * 
 * @author Adik
 */
@Entity //@Audited
@Table(name = "RiwayatPengobatan_T")
public class RiwayatPenyakitPengobatan extends MedicalRecordTransaction {
	
	@ManyToOne
	@JoinColumn(name = "PegawaiFK")
	@NotNull(message="Pegawai Harus Diisi")
	@Caption(value="Pegawai")
	private Pegawai petugas;

	@Column(name = "PegawaiFK", insertable=false,updatable=false,nullable = false)
	private Integer petugasId;
	
	@Column(name = "riwayatPenyakit")
	@Caption(value="riwayatPenyakit")
	private String riwayatPenyakit;
	
	@Column(name = "riwayatPengobatan")
	@Caption(value="riwayatPengobatan")
	private String riwayatPengobatan;
	
	@NotNull(message="tglInput Tidak Boleh Kosong")
	@Column(name = "tglInput", nullable = false )
	@Caption(value="Tanggal Input")
	private Date tanggalInput;
	
	@ManyToOne
	@JoinColumn(name = "RuanganFK")
	@NotNull(message="Ruangan Harus Diisi")
	@Caption(value="Ruangan")
	private Ruangan ruangan;

	@Column(name = "RuanganFK", insertable=false,updatable=false,nullable = false)
	private Integer ruanganId;	

	public String getRiwayatPenyakit() {
		return riwayatPenyakit;
	}

	public void setRiwayatPenyakit(String riwayatPenyakit) {
		this.riwayatPenyakit = riwayatPenyakit;
	}

	public String getRiwayatPengobatan() {
		return riwayatPengobatan;
	}

	public void setRiwayatPengobatan(String riwayatPengobatan) {
		this.riwayatPengobatan = riwayatPengobatan;
	}

	public Pegawai getPetugas() {
		return petugas;
	}

	public void setPetugas(Pegawai petugas) {
		this.petugas = petugas;
	}

	public Integer getPetugasId() {
		return petugasId;
	}

	public void setPetugasId(Integer petugasId) {
		this.petugasId = petugasId;
	}

	public Date getTanggalInput() {
		return tanggalInput;
	}

	public void setTanggalInput(Date tanggalInput) {
		this.tanggalInput = tanggalInput;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

}

